Page MenuHomePhabricator

CX2: Errors silently ignored by mw.cx.init.Translation.prototype.init method
Closed, ResolvedPublic

Description

If there is an error in the deferred chain in mw.cx.init.Translation.prototype.init It is not get reported anywhere including the console.
To reproduce introduce some js error in any dm translation units and load the translation view. The UI will stuck with progress indicator forever

Event Timeline

santhosh created this task.Jun 1 2017, 10:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2017, 10:19 AM
santhosh triaged this task as Medium priority.Jun 5 2017, 10:59 AM

Change 357556 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Do not silently fail in case of initialization errors

https://gerrit.wikimedia.org/r/357556

Change 357556 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Do not silently fail in case of initialization errors

https://gerrit.wikimedia.org/r/357556

Arrbee closed this task as Resolved.Jun 20 2017, 7:01 AM